<?

if ($permissions['shareAccess']) {
	if ($_GET['sub'] == "treelisting") {
	
		if ($_GET['uid']) {
			if ($_GET['path']) {
				require_once($sys['root']."/system/includes/userslist/treelisting_browse.inc");
			} else {
				require_once($sys['root']."/system/includes/userslist/treelisting_shares.inc");
			}
		} else {
		require_once($sys['root']."/system/includes/userslist/treelisting.inc");
		}
	}
} else {
	require_once($sys['root']."/system/includes/userslist/treelisting-noperm.inc");
}

?>